From c13ad23d9c1df66f73402042114de465539c0bb7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 12 2020 03:38:19 +0000
Subject: [PATCH 626/2232] Switch demo code to using std::make_unique


---

diff --git a/demo-cxx/BUCK b/demo-cxx/BUCK
index 595a18b..f60200b 100644
--- a/demo-cxx/BUCK
+++ b/demo-cxx/BUCK
@@ -1,6 +1,7 @@
 cxx_library(
     name = "demo-cxx",
     srcs = ["demo.cc"],
+    compiler_flags = ["-std=c++14"],
     visibility = ["PUBLIC"],
     deps = [
         ":include",
diff --git a/demo-cxx/BUILD b/demo-cxx/BUILD
index da97cfa..7b1860a 100644
--- a/demo-cxx/BUILD
+++ b/demo-cxx/BUILD
@@ -1,6 +1,7 @@
 cc_library(
     name = "demo-cxx",
     srcs = ["demo.cc"],
+    copts = ["-std=c++14"],
     visibility = ["//visibility:public"],
     deps = [
         ":include",
diff --git a/demo-cxx/demo.cc b/demo-cxx/demo.cc
index cd447ea..21bdad4 100644
--- a/demo-cxx/demo.cc
+++ b/demo-cxx/demo.cc
@@ -10,7 +10,7 @@ ThingC::ThingC(std::string appname) : appname(std::move(appname)) {}
 ThingC::~ThingC() { std::cout << "done with ThingC" << std::endl; }
 
 std::unique_ptr<ThingC> make_demo(rust::Str appname) {
-  return std::unique_ptr<ThingC>(new ThingC(std::string(appname)));
+  return std::make_unique<ThingC>(std::string(appname));
 }
 
 const std::string &get_name(const ThingC &thing) { return thing.appname; }
diff --git a/demo-rs/build.rs b/demo-rs/build.rs
index e4792c2..f32b8ef 100644
--- a/demo-rs/build.rs
+++ b/demo-rs/build.rs
@@ -1,7 +1,7 @@
 fn main() {
     cxx_build::bridge("src/main.rs")
         .file("../demo-cxx/demo.cc")
-        .flag_if_supported("-std=c++11")
+        .flag_if_supported("-std=c++14")
         .compile("cxxbridge-demo");
 
     println!("cargo:rerun-if-changed=src/main.rs");

